Bug 253232 - Review Request: system-config-firewall - graphical interface for basic firewall setup
Summary: Review Request: system-config-firewall - graphical interface for basic firewa...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-17 14:40 UTC by Thomas Woerner
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 09:00:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karsten: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Woerner 2007-08-17 14:40:22 UTC
Spec URL: http://twoerner.fedorapeople.org/system-config-firewall.spec
SRPM URL: http://twoerner.fedorapeople.org/system-config-firewall-1.0.2-2.fc8.src.rpm
Description: 
system-config-firewall replaces system-config-securitylevel. The SELinux configuration has been dropped from this tool, because there is system-config-selinux. s-c-firewall contains compat files for anaconda, firstboot and system-config-kickstart until these are updated.

Comment 2 Karsten Hopp 2007-08-21 12:21:52 UTC
- doesn't use smp flags, but it doesn't matter here as it doesn't build anything
- buildroot not the preferred method of the day, but still ok
- many fuzzy translation messages during build, but I'd guess that'll be fixed
  soon after the string freeze as long as the catalogs are submitted fro 
  translation in time
- s-c-f-t should provide lokkit as it obsoletes it and contains /usr/sbin/lokkit
- /usr/share/system-config-securitylevel/firstboot_selinux.py and
/usr/share/system-config-securitylevel/securitylevel.py should be relative
symlinks to /usr/share/firstboot/modules/{securitylevel.py,firstboot_selinux.py}
- /usr/bin/system-config-firewall-tui should be a relative symlink to
/usr/sbin/lokkit
- I don't think we support direct upgrades from FC-1 to F8. The obsoletes on
redhat-config-securitylevel* can therefore be dropped.
- executable bits on /usr/share/redhat-config-securitylevel/pixmaps/network.png
  should be removed (how about %defattr(0644,root,root) instead of defining 644
for each file separately and missing some ? )


Comment 3 Karsten Hopp 2007-08-21 12:24:45 UTC
- forget about /usr/share/redhat-config-securitylevel/pixmaps/network.png, but the
  comment about defattr still stands

Comment 4 Thomas Woerner 2007-08-21 13:11:41 UTC
All done..
Same name and EVR :-)

Comment 5 Karsten Hopp 2007-08-21 14:13:40 UTC
- package looks ok now

Comment 6 Thomas Woerner 2007-08-21 14:23:35 UTC
New Package CVS Request
=======================
Package Name: system-config-firewall
Short Description: A graphical interface for basic firewall setup
Owners: twoerner
Branches: devel
InitialCC: 
Commits by cvsextras: no


Comment 7 Tom "spot" Callaway 2007-08-21 14:56:01 UTC
cvs done.

Comment 8 Thomas Woerner 2007-08-22 09:00:06 UTC
Sucessfully built: http://koji.fedoraproject.org/koji/taskinfo?taskID=112438
Closing as NEXTRELEASE


Note You need to log in before you can comment on or make changes to this bug.